Page MenuHomePhabricator

Requesting access to analytics cluster for Djellel Difallah
Closed, ResolvedPublicRequest

Description

I just joined the Research Team as a Research Scientist and I would like to have access to the following posix groups:

analytics-privatedata-users
researchers

Full name: Djellel Difallah
Wikitech/LDAP username: dedcode
Desired shell username: dedcode
email: ddifallah@wikimedia.org

ssh public key: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICXUWuz8fmG9LkK3vLeAFJF1+uQV7eNR1eiDdfpYcTIq djellel@dedmac.local


SRE Clinic Duty Checklist for Access Requests

Most requirements are outlined on https://wikitech.wikimedia.org/wiki/Requesting_shell_access

This checklist should be used on all access requests to ensure that all steps are covered. This includes expansion to access. Please do not check off items on the list below unless you are in Ops and have confirmed the step.

  • User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform.
  • User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • access request (or expansion) has sign off of WMF sponsor/manager (sponser for volunteers, manager for wmf staff)
  • non-sudo requests: 3 business day wait must pass with no objections being noted on the task
  • Patchset for access request

Details

Related Gerrit Patches:

Event Timeline

DED created this task.Oct 2 2019, 7:26 PM
Restricted Application added a project: Operations. · View Herald TranscriptOct 2 2019, 7:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Isaac added a subscriber: leila.Oct 2 2019, 7:53 PM
leila added a comment.Oct 3 2019, 2:18 AM

approved (Manager).

Ottomata updated the task description. (Show Details)Oct 3 2019, 2:43 PM
DED added a comment.Oct 4 2019, 4:54 PM

I have signed the Acknowledgement of Wikimedia Server Access Responsibilities Document (L3)

leila updated the task description. (Show Details)Oct 4 2019, 4:55 PM
leila added a subscriber: Nuria.Oct 8 2019, 11:42 PM

@Nuria is your approval needed on this task?

leila moved this task from Staged to Time Sensitive on the Research board.Oct 8 2019, 11:42 PM

Change 542132 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] admin: add dedcode to analytics-privatedata-users, researchers

https://gerrit.wikimedia.org/r/542132

herron added a subscriber: herron.Oct 10 2019, 3:01 PM

Hello, I've uploaded a patch set for this access. Typically yes @Nuria approves additions to analytics groups. Once that's done we should be in good shape to move forward. Thanks!

herron updated the task description. (Show Details)Oct 10 2019, 3:01 PM
Nuria added a comment.Oct 10 2019, 3:17 PM

Approved on my end.

Change 542132 merged by Herron:
[operations/puppet@production] admin: add dedcode to analytics-privatedata-users, researchers

https://gerrit.wikimedia.org/r/542132

herron closed this task as Resolved.Oct 11 2019, 8:29 PM
herron claimed this task.

Access has been granted. Transitioning this to resolved now, but if any follow-up is needed please don't hesitate to re-open. Thanks!

Added dedcode to the wmf LDAP group after getting a request from @MGerlach.

MGerlach reopened this task as Open.Oct 16 2019, 10:04 AM

@DED who just joined the research team is having the same issue.
I think he needs to be added to LDAP-group.
@elukey - Could you help here?
Thanks

MGerlach closed this task as Resolved.Oct 16 2019, 10:05 AM

Sorry, didnt see it was already done. Closed